# Data

This tutorial makes use of a variety of data sources. Below is a brief description of each dataset as well as the links to the original source where the data was downloaded from. For convenience, we have repackaged the data and included them in the compressed file with the notebooks. You can download it [here](../../gds_scipy16.zip).

## Texas counties

This includes Texas counties from the Census Bureau and a list of attached
socio-economic variables. This is an extract of the national cover dataset
`NAT` that is part of the example datasets shipped with `PySAL`.

## AirBnb listing for Austin (TX)

This dataset contains information for [AirBnb](https://www.airbnb.com/) properties for the area of Austin (TX). It is originally provided by [Inside AirBnb](http://insideairbnb.com/). Same as the source, the dataset is released under a [CC0 1.0 Universal License](http://creativecommons.org/publicdomain/zero/1.0/). You can see a summary of the dataset [here](http://insideairbnb.com/austin/index.html).

**Source**: [Inside AirBnb](http://insideairbnb.com/get-the-data.html)’s extract of AirBnb locations in Austin (TX).

**Path**: `data/listings.csv.gz`

## Austin Zipcodes

Boundaries for Zipcodes in Austin. The original source is provided by the City of Austin GIS Division.

**Source**: open data from the city of Austin [[url]](https://data.austintexas.gov/Geodata/Zipcodes/23x8-agw7)

**Path**: `data/Zipcodes.geojson`
